#include <stdio.h>

#include <qapplication.h>

#include <qfontdialog.h>
#include <qfont.h>
#include <qstring.h>

int main( int argc, char **argv )
{
    QApplication a( argc, argv );
	QFont font;
	if(argc > 1)
		font.setRawName(argv[1]);
	
	bool ok;
	font = QFontDialog::getFont(&ok, font);
	if(ok)
		printf("\"%s\"", font.rawName().local8Bit().data());
	else
		printf("");

	return 0;
}
